/***************************************************************************
 *   Copyright (C) 2005 by Sebastian Beck   *
 *   sebastian.bw@freenet.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qmainwindow.h>

#include "maschinentool.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>


static const char description[] = I18N_NOOP("Maschinentool zum Aufnehmen und Abspeichern von Maschinen");

static const char version[] = "1.0";

static KCmdLineOptions options[] = { KCmdLineLastOption };

int main(int argc, char **argv)
	{
	KAboutData about("Maschinentool", I18N_NOOP("Maschinentool"), version, description,
				KAboutData::License_GPL, "(C) 2005 Sebastian Beck", 0, 0, "sebastian.bw@freenet.de");
	about.addAuthor( "Sebastian Beck", 0, "sebastian.bw@freenet.de" );
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions( options );
	KApplication app;
	Maschinentool *mainWin;
	
	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
	
	/// @todo do something with the command line args here
	
	mainWin = new Maschinentool( 0 );
	app.setMainWidget( mainWin );
	mainWin->show();
	
	args->clear();

    return app.exec();
	}

